LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (http://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   Install munin on Centos 4.7 (http://www.linuxquestions.org/questions/linux-newbie-8/install-munin-on-centos-4-7-a-728760/)

alsharifhoussam 05-27-2009 01:24 AM

Install munin on Centos 4.7
 
Hello,
How can I install munin on Centos 4.7?
I had found this link:
http://www.directadmin.com/forum/showthread.php?t=13317

but I am getting errors:

Error: Missing Dependency: perl(Net::SNMP) is needed by package munin-node
Error: Missing Dependency: perl(RRDs) is needed by package munin
Error: Missing Dependency: perl(Net::Server::Fork) is needed by package munin-node
Error: Missing Dependency: perl(HTML::Template) is needed by package munin
Error: Missing Dependency: perl-Net-Server is needed by package munin-node
Error: Missing Dependency: perl-Net-Server is needed by package munin
Error: Missing Dependency: perl-Net-SNMP is needed by package munin
Error: Missing Dependency: perl(RRDs) is needed by package rrdtool
Error: Missing Dependency: perl(RRDp) is needed by package rrdtool

any help?
Thanks

shpenat 05-27-2009 05:36 AM

you don't have listed packages instaled, but they are required by munin. Install them before trying installing munin.

alsharifhoussam 05-27-2009 05:39 AM

where can I get them?

knudfl 05-27-2009 07:41 AM

Getting it : something like this ......

# yum search perl-net-snmp perl-net-server perl-html-template perl-rrd

# yum install perl-Net-SNMP perl-Net-Server perl-HTML-Template \
perl-Log-Log4perl-RRDs perl-RRD-Simple

... and the remaining packages with the "perl cpan shell" :

# cpan
> cpan install Net::Server::Fork Log::Log4perl::Appender::RRDs \
RRD::Treshold RRD::Query
.....

shpenat 05-27-2009 08:24 AM

knudfl: you were faster :)

alsharifhoussam 05-27-2009 08:30 AM

i was trying but an error also occurred.
I had tried to start with the basic:
yum install mod_perl (since munin need the perl package)
when I run the above command,
i get the following error:

Error: Missing Dependency: httpd-mmn = 20020903 is needed by package mod_perl
Error: Missing Dependency: httpd >= 2.0.40 is needed by package mod_perl

I had tried:
yum search httpd-mmn but nothing found :(
what shall I do?

should I edit the repository?

Thanks

knudfl 05-27-2009 10:04 AM

The very first to do : Update 'httpd'.

# yum install httpd

..... and the latest version for Centos 4.7 will be installed.

*** 'httpd-mmn = 20020903' should be in package httpd.

And then may be 'mod_perl' can be installed ?
.....

alsharifhoussam 05-27-2009 03:19 PM

when I type:

yum install httpd

no package found ;(

why?

knudfl 05-28-2009 07:14 AM

1) first command :
'su' .... and then please type password

2) # 'yum search <almost-correct-package-name--or-part-of-it>'
... to check availability and spelling.

'httpd' should be in the repo ... and on the install DVD.
.....
3) # 'yum install httpd'
.....
.....
Did you use # 'yum search' for the perl packages,
and did you install everything mentioned ? ?
.....

alsharifhoussam 05-28-2009 07:30 AM

I am root.
yum install httpd
the result is: NO packages found


when I run
yum search <the package name> required by perl, no package found :(

knudfl 05-28-2009 07:55 AM

So # 'yum search perl-net-snmp perl-net-server \
perl-html-template perl-rrd' gives no result ? ? ?

Then you probable have no 'repo's set up ??
Please do ' cat /etc/yum.repos.d/* '

Should look almost like this from CentOS 5.x
http://www.linuxquestions.org/questi...ghlight=centos
Please read the files attached to post # 2 and 3.
.....

alsharifhoussam 05-28-2009 08:02 AM

when I go:

yum search perl-net-snmp perl-net-server perl-html-template perl-rrd

no matches found :(


when I go to the /etc/yum.repos.d/
I had CentOS-Base.repo
CentOS-Media.repo
epel.repo
epel-testing.repo
mirrors-rpmforge
kbsingh-CentOS-Extras.repo
rpmforge.repo

knudfl 05-28-2009 02:49 PM

When doing # yum search <package>, the start should look like
Code:

# yum search httpd
Loading "fastestmirror" plugin
Loading mirror speeds from cached hostfile
 * epel: ftp.nluug.nl
 * rpmforge: ftp-stud.fht-esslingen.de
 * base: ftp.klid.dk
 * updates: ftp.klid.dk
 * addons: ftp.klid.dk
 * extras: ftp.klid.dk
epel                      100% |=========================| 2.1 kB    00:00
rpmforge                  100% |=========================| 1.1 kB    00:00
primary.xml.gz            100% |=========================| 3.1 MB    00:25
rpmforge  : ################################################## 8641/8641
base                      100% |=========================| 1.1 kB    00:00
updates                  100% |=========================|  951 B    00:00
addons                    100% |=========================|  951 B    00:00
extras ............

If not, the lines in your repo files could be commented out.
No lines to be used, should start with a hash mark. ( # ).
Hence the suggestion to use 'cat <files>'

Also have a look in 'Add/Remove Software' (The package manager)
where you can enable repo's.
.....

alsharifhoussam 05-28-2009 03:00 PM

this what I am getting:

update 100% |=========================| 951 B 00:00
rpmforge 100% |=========================| 1.1 kB 00:00
base 100% |=========================| 1.1 kB 00:00
contrib 100% |=========================| 951 B 00:00
addons 100% |=========================| 951 B 00:00
extras 100% |=========================| 1.1 kB 00:00
Reading repository metadata in from local files
Excluding Packages in global exclude list
Finished

knudfl 05-29-2009 06:20 AM

Quote:

Excluding Packages in global exclude list
Have a look in /etc/yum.conf

If you have a line with
exclude=*
or
exclude=httpd* perl*
then you wont be able to get it with yum.

Suggest : edit 'yum.conf'
.....


All times are GMT -5. The time now is 07:19 PM.